# myRoku

Where my previous attempt [goRoku](https://git.red-green.com/david/goRoku), while was rather successful, I have decided to make a app.

Much thanks goes to the [Fyne](https://fyne.io/) go-lang app framework, and myRoku gains all of it's cross platform support thru Fyne.

## Current Version: v1.0-dev

Currently in a developmental state `v1.0` will come with a long list of features:

- Cross platform support (supporting the native development on the Linux and Android platforms and moving to Windows and possibly iOS flavors as time progresses)
- Single Binary/Package (myRoku will strive to be single file or minimal files, this will allow "installation" to be quite simply drop the executable binary into your bin or run your system's installer to "install" the app)
- Attempt of keeping original goRoku design layout (myRoku will be using a majority of the code-base from goRoku, with just a Fyne framework on top providing the GUI instead of it being web-based)
- Minor improvements from the goRoku code-base (myRoku is it's ultimate successor, which means some of the original goRoku code will be improved for better/cleaner usage)

> See [todo](TODO.md) for a list of things currently being worked on and or have been completed.

## The __Future__

Features that may or may not make it into future versions:

- Possible "release" onto popular app stores like GooglePlay (this most likely will not happen, as this is an internal project and most likely will always be an internal project, i.e. not directly available to public)
- Ensure cross platform support for mobile devices of varying screen sizes and models. (this should be simple to do thanks to Fyne, but some of the layout may need to change to support the varying use cases)

> See [todo](TODO.md) for a list of things currently being worked on and or have been completed.
